DEFINT A-Z
SCREEN 9
mempack
$DYNAMIC

ON ERROR GOTO 1
OPEN "\HDMS\Back.dat" FOR INPUT AS #1
INPUT #1, A$, B$
CLOSE #1
ON ERROR GOTO 0

SELECT CASE UCASE$(B$)
  CASE "FIRST"
    GOTO Loading
  CASE "SECOND"
    GOTO Loaded
  CASE ELSE
END SELECT

Loading:
B$ = "SECOND"
OPEN "\HDMS\Back.dat" FOR OUTPUT AS #1
WRITE #1, A$, B$
CLOSE #1

DIM Message2(1 TO 1500)   AS INTEGER
DEF SEG = VARSEG(Message2(1))
BLOAD "\hdms\Loading.msg", VARPTR(Message2(1))
DEF SEG
PUT (205, 60), Message2
ERASE Message2

DIM Message1(1 TO 1500)   AS INTEGER
DEF SEG = VARSEG(Message1(1))
BLOAD "\hdms\hdms.msg", VARPTR(Message1(1))
DEF SEG
PUT (305, 64), Message1
ERASE Message1

DIM Logo(1 TO 31500)   AS INTEGER
DEF SEG = VARSEG(Logo(1))
BLOAD "\hdms\eagle.log", VARPTR(Logo(1))
DEF SEG
PUT (220, 95), Logo
ERASE Logo

LINE (350, 235)-(420, 249), 0, BF ' Clear Old Version logo
DIM Version(1 TO 500)   AS INTEGER
DEF SEG = VARSEG(Version(1))
BLOAD "\hdms\art\version.pad", VARPTR(Version(1))
DEF SEG
LINE (330, 270)-(410, 283), 1, BF
PUT (335, 270), Version
ERASE Version

SLEEP 3
Loaded:
mempack
$DYNAMIC
Execute "Qbasic /RUN \HDMS\start2.bas"

1 RESUME NEXT

